#ifndef GLOBAL_DEFINES
#	define GLOBAL_DEFINES
#	ifndef NULL
#		define NULL				0
#	endif
#	ifndef FALSE
#		define FALSE 0
#	endif
#	ifndef TRUE
#		define TRUE !FALSE
#	endif
#	ifndef BFSZ
#		define BFSZ 1000
#	endif
#	ifndef LBUFSZ
#		define LBUFSZ 1024
#	endif
#	ifndef myfree
#		define myfree(x) {free(x); x=NULL;}
#	endif
#	ifndef mystrdup
#		define mystrdup(x,y) {if (y) {x=NULL; x = malloc(strlen(y)+1);if (x)strcpy(x,y);}}
#	endif

#	ifdef WIN32
#		include <windows.h>

#		define sleep(a) Sleep(a * 1000)
#		define msleep(a) Sleep(a)
#		define SEP '\\'
#	else
#		include <unistd.h>

#		define msleep(a) usleep(a*1000)
#		define SEP '/'
#		ifndef _MAX_PATH
#			define _MAX_PATH 260
#		endif
#	endif

#	ifdef NEED_STRERROR
		char *strerror(int x);
#	endif
#endif
